Supported / Compatible Browsers

11.5 – IE 7-10, Chrome, Firefox.  IE6 will mostly work but is not supported.

12.0 / 12.5 – IE9+, Chrome, Firefox.  IE8 will mostly work except with some advanced admin functionality.  It is also not recommended due to poor performance of its’ internal JavaScript engine.

13.0 – IE9+, Chrome, Firefox.  IE8 will mostly work but is not supported.

13.5 – IE11+, Chrome, Firefox.  IE9 will mostly work but is not supported.

 Note: Microsoft no longer supports older OS systems like XP and with it IE8. With 13.0 which is coming out soon we will officially drop support for IE8, even though it can be used for the most part.

 

Have more questions? Submit a request

0 Comments

Article is closed for comments.